JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.agentConnection.getByID('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.agent_connection.get_by_id(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/connections/agent/{connectionId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/connections/agent/{connectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/connections/agent/{connectionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.roark.ai/v1/connections/agent/{connectionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/connections/agent/{connectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "RETELL",
"status": "ACTIVE",
"capabilities": [
"PULL_AGENTS"
],
"agentScope": "ALL",
"agentIds": [
"<string>"
],
"agentNames": [
"<string>"
],
"autoSetUpAgents": true,
"samplingRate": 123,
"livekit": {
"url": "<string>",
"metadataFilteringEnabled": true,
"metadataEgressStrategy": "EAGER"
},
"vapi": {
"outboundRequestBodyTemplate": {}
},
"pipecat": {
"baseSignalingUrl": "<string>",
"appendAgentId": true,
"hasAuthToken": true,
"hasPccPublicKey": true,
"pccStartBody": {},
"pccRoomProperties": {}
},
"kore": {
"appId": "<string>",
"envName": "<string>",
"baseUrl": "<string>"
},
"googleCes": {
"gcpProjectId": "<string>",
"serviceAccountEmail": "<string>",
"location": "<string>",
"appId": "<string>",
"deploymentId": "<string>",
"versionId": "<string>"
},
"sync": {
"status": "IN_PROGRESS",
"startedAt": "2026-11-16T12:00:00.000Z",
"endedAt": "2026-11-16T12:00:00.000Z",
"intervalMinutes": 123,
"isUpToDate": true,
"createdAgentCount": 123
},
"syncProblems": [
{
"agentId": "<string>",
"agentName": "<string>",
"reason": "INVALID_API_KEY",
"at": "2026-11-16T12:00:00.000Z"
}
],
"createdAt": "2026-11-16T12:00:00.000Z",
"updatedAt": "2026-11-16T12:00:00.000Z"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Agent platforms
Get an agent connection
One connection, with its settings and latest sync. Credentials are never returned.
GET
/
v1
/
connections
/
agent
/
{connectionId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.agentConnection.getByID('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.agent_connection.get_by_id(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/connections/agent/{connectionId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/connections/agent/{connectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/connections/agent/{connectionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.roark.ai/v1/connections/agent/{connectionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/connections/agent/{connectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "RETELL",
"status": "ACTIVE",
"capabilities": [
"PULL_AGENTS"
],
"agentScope": "ALL",
"agentIds": [
"<string>"
],
"agentNames": [
"<string>"
],
"autoSetUpAgents": true,
"samplingRate": 123,
"livekit": {
"url": "<string>",
"metadataFilteringEnabled": true,
"metadataEgressStrategy": "EAGER"
},
"vapi": {
"outboundRequestBodyTemplate": {}
},
"pipecat": {
"baseSignalingUrl": "<string>",
"appendAgentId": true,
"hasAuthToken": true,
"hasPccPublicKey": true,
"pccStartBody": {},
"pccRoomProperties": {}
},
"kore": {
"appId": "<string>",
"envName": "<string>",
"baseUrl": "<string>"
},
"googleCes": {
"gcpProjectId": "<string>",
"serviceAccountEmail": "<string>",
"location": "<string>",
"appId": "<string>",
"deploymentId": "<string>",
"versionId": "<string>"
},
"sync": {
"status": "IN_PROGRESS",
"startedAt": "2026-11-16T12:00:00.000Z",
"endedAt": "2026-11-16T12:00:00.000Z",
"intervalMinutes": 123,
"isUpToDate": true,
"createdAgentCount": 123
},
"syncProblems": [
{
"agentId": "<string>",
"agentName": "<string>",
"reason": "INVALID_API_KEY",
"at": "2026-11-16T12:00:00.000Z"
}
],
"createdAt": "2026-11-16T12:00:00.000Z",
"updatedAt": "2026-11-16T12:00:00.000Z"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}